<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextFile Method (IEdmLabel5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmLabel5 Interface : GetNextFile Method (IEdmLabel5)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of the next file (see Remarks)

plVersion
  Version of file on which this label is set

Gets the next file with this label in the enumeration.

# Syntax

Visual Basic |
--- | ---

    Function GetNextFile( _
       ByVal poPos As IEdmPos5, _
       ByRef plVersion As System.Integer _
    ) As IEdmFile5

C# |
--- | ---

    IEdmFile5 GetNextFile(
       IEdmPos5 poPos,
       out System.int plVersion
    )

C++/CLI |
--- | ---

    IEdmFile5^ GetNextFile(
    &   IEdmPos5^ poPos,
    &   [Out] System.int plVersion
    )

#### Parameters

poPos
  IEdmPos5; position of the next file (see Remarks)
plVersion
  Version of file on which this label is set

#### Return Value

IEdmFile5

# Remarks

Before calling this method the first time, you must populate poPos with the interface to the position of the first file with this label, IEdmPos5. Call IEdmLabel5::GetFirstFilePosition to obtain IEdmPos5.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the files with this label.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

If you only need the ID of the next file with this label, call IEdmLabel5::GetNextFileID instead of this method.

C++ programmers not using smart-pointer wrapper functions must release the returned interface, IEdmFile5.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_END_OF_LIST: You have gone past the end of the list.

# See Also

####

IEdmLabel5 Interface
IEdmLabel5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2